Subject: bug#50269: 27.2; Request: use GTK continuous scroll events for smooth touchpad scrolling

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Aug 2021 21:40:42 +0300

> From: Alexander Huntley <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 30 Aug 2021 19:37:26 +0100
> 
> > Did you try "M-x pixel-scroll-mode RET"?  It isn't perfect, but maybe
> > it's "good enough" for your needs?
> 
> Yes I have, as well as good-scroll.el; they're both great improvements,
> especially for a mouse, but still don't quite feel as good as the scrolling
> in Firefox or Gedit.
> 
> Obviously it's not a deal-breaker, but it would make Emacs feel more 
> polished
> and modern.

Then I don't think I understand what you'd like Emacs to do in this
case, and how would that be different from pixel-scroll-mode.  Please
tell more.